Bug 1272527 - Review Request: python-muranoclient - is a client library for Murano [NEEDINFO]
Review Request: python-muranoclient - is a client library for Murano
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Haïkel Guémar
Fedora Extras Quality Assurance
:
Depends On:
Blocks: RDO-LIBERTY-REVIEWS
  Show dependency treegraph
 
Reported: 2015-10-16 12:02 EDT by Daniil
Modified: 2016-05-07 08:09 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-07 08:09:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
karlthered: fedora‑review+
lobo: needinfo? (karlthered)


Attachments (Terms of Use)

  None (edit)
Description Daniil 2015-10-16 12:02:46 EDT
Spec URL: https://raw.githubusercontent.com/mos-outside/python-muranoclient/rpm-master/python-muranoclient.spec
SRPM URL: https://github.com/openstack/python-muranoclient/tree/stable/liberty
Description: python-muranoclient is a client library for Murano built on the Murano API. It provides a Python API (the muranoclient module) and a command-line tool (murano).
Comment 1 Daniil 2015-10-16 12:03:51 EDT
https://review.gerrithub.io/#/c/249766/
Comment 2 Haïkel Guémar 2015-11-13 12:05:01 EST
* Drop Group tags, they are unused
* Use versioned python macros %{__python2} and %{python2_sitelib}
* Drop %clean section
* No commas in BR lines
* Drop defattr
* Name explicitly binaries
* Name top level directories in %{python2_sitelib}
%{python_sitelib}/ => means you own a directory owned by python package
* Submit a package that can be compiled in Fedora (this is a Fedora review), the same goes for RDO reviews so that we could leverage Fedora semi-automated reviewing tools. Add version, release and changelog entry.
* Drop the first line.

Needinfo me when it's done
Comment 3 hguemar 2015-12-01 09:15:49 EST
ping
Comment 4 Upstream Release Monitoring 2016-01-15 10:10:12 EST
mflobo's scratch build of python-muranoclient-0.7.2-1.fc23.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12563574
Comment 5 Upstream Release Monitoring 2016-01-15 10:23:58 EST
mflobo's scratch build of python-muranoclient-0.7.2-1.fc23.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12563653
Comment 6 Upstream Release Monitoring 2016-01-15 10:29:43 EST
mflobo's scratch build of python-muranoclient-0.7.2-1.fc23.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12563720
Comment 7 Upstream Release Monitoring 2016-01-15 10:42:02 EST
mflobo's scratch build of python-muranoclient-0.7.2-1.fc23.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12563766
Comment 9 Upstream Release Monitoring 2016-01-18 04:10:17 EST
mflobo's scratch build of python-muranoclient-0.7.2-1.fc23.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12590275
Comment 10 hguemar 2016-01-18 10:04:07 EST
Few things:
* no need to duplicate Requires between global namespace (there is no binary python-muranoclient) and subpackage python2-muranoclient.
* BR could be moved under python2-muranoclient for consistency
* python-argparse is part of python standard library so you can drop the requires. Moreover no packages provides python3-argparse so it cases installation failures for python3-argparse
* temporarily disable python3 build as oslo libs do not have python3 subpackages enabled yet.
* more problematic:
$ rpmls results/python2-muranoclient-0.7.2-1.fc23.noarch.rpm | grep bin
lrwxrwxrwx  /usr/bin/muranoclient-3
lrwxrwxrwx  /usr/bin/muranoclient-3.4

I recommend that you put in %install the python2 installation last and that you explicit name binaries in %files. As OpenStack upstream still uses python2 as default interpreter, it's still better to keep python2 providing the default version of the client.
Comment 11 Upstream Release Monitoring 2016-01-19 04:42:39 EST
mflobo's scratch build of python-muranoclient-0.7.2-1.fc23.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12603306
Comment 12 Marcos 2016-01-19 05:57:39 EST
Hi,

New iteration. I think I address all your comments. Please, checkout again

Spec URL: http://mferminl.web.cern.ch/mferminl/fedorapkg/python-muranoclient/0.7.2/python-muranoclient.spec
SRPM URL: http://mferminl.web.cern.ch/mferminl/fedorapkg/python-muranoclient/0.7.2/python-muranoclient-0.7.2-1.fc23.src.rpm

Successful scratch: http://koji.fedoraproject.org/koji/taskinfo?taskID=12604123

Please, let me know if more changes are needed.
Comment 14 Haïkel Guémar 2016-04-15 08:26:49 EDT
Note: this review required to update python-oslo-{utils,serialization,log}, python-openstackclient in rawhide.

I hereby approve this package into Fedora Packages Collection, please submit SCM request.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "Unknown or generated", "*No copyright* Apache
     (v2.0)". 16 files have unknown license. Detailed output of
     licensecheck in /home/haikel/1272527-python-
     muranoclient/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[ ]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python2-muranoclient , python-muranoclient-doc
[x]: Package functions as described.
[x]: Latest version is packaged.
[-]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python2-muranoclient-0.8.4-1.fc25.noarch.rpm
          python-muranoclient-doc-0.8.4-1.fc25.noarch.rpm
          python-muranoclient-0.8.4-1.fc25.src.rpm
python2-muranoclient.noarch: W: summary-ended-with-dot C Client library for OpenStack Murano API.
python2-muranoclient.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/muranoclient/tests/unit/fixture_data/test-app/Resources/scripts/installer.sh 644 /bin/bash
python2-muranoclient.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/muranoclient/tests/unit/fixture_data/test-app/Resources/scripts/common.sh 644 /bin/bash
python2-muranoclient.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/muranoclient/tests/unit/fixture_data/test-app/Resources/scripts/deploy.sh 644 /bin/bash
python2-muranoclient.noarch: W: no-manual-page-for-binary murano
python-muranoclient.src: W: spelling-error %description -l en_US murano -> murrain
3 packages and 0 specfiles checked; 3 errors, 3 warnings.




Requires
--------
python-muranoclient-doc (rpmlib, GLIBC filtered):

python2-muranoclient (rpmlib, GLIBC filtered):
    /bin/bash
    /usr/bin/python2
    PyYAML
    pyOpenSSL
    python(abi)
    python-babel
    python-glanceclient
    python-httplib2
    python-iso8601
    python-keystoneclient
    python-openstackclient
    python-pbr
    python-prettytable
    python-requests
    python-six
    python-yaql
    python2-oslo-i18n
    python2-oslo-log
    python2-oslo-serialization
    python2-oslo-utils



Provides
--------
python-muranoclient-doc:
    python-muranoclient-doc

python2-muranoclient:
    python-muranoclient
    python2-muranoclient



Source checksums
----------------
http://pypi.python.org/packages/source/p/python-muranoclient/python-muranoclient-0.8.4.tar.gz :
  CHECKSUM(SHA256) this package     : fccab91a0a3cb58540cdab9d624662d7af35cd0b30aa31ef2e53c4a9d42dda20
  CHECKSUM(SHA256) upstream package : fccab91a0a3cb58540cdab9d624662d7af35cd0b30aa31ef2e53c4a9d42dda20


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1272527 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 15 Marcos 2016-04-15 11:19:02 EDT
Hi,

python-muranoclient was successfully pushed to master, f24 and epel7 http://pkgs.fedoraproject.org/cgit/rpms/python-muranoclient.git/

Koji builds for rawhide (master) and f24 worked fine. For epel7 it failed due to:

"Error: No Package found for python-oslo-sphinx >= 2.3.0"

More info here http://koji.fedoraproject.org/koji/taskinfo?taskID=13671457
Comment 16 Fedora Update System 2016-04-15 11:26:53 EDT
python-muranoclient-0.8.4-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-99777522b1
Comment 17 Fedora Update System 2016-04-15 19:21:21 EDT
python-muranoclient-0.8.4-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-99777522b1
Comment 18 Fedora Update System 2016-04-26 03:08:07 EDT
python-muranoclient-0.8.4-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-99777522b1
Comment 19 Fedora Update System 2016-04-26 12:23:16 EDT
python-muranoclient-0.8.4-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-99777522b1
Comment 20 Fedora Update System 2016-05-07 08:09:06 EDT
python-muranoclient-0.8.4-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.